# -*- encoding: utf-8 -*-
# stub: red-gandiva 13.0.0 ruby lib
# stub: dependency-check/Rakefile

Gem::Specification.new do |s|
  s.name = "red-gandiva".freeze
  s.version = "13.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Apache Arrow Developers".freeze]
  s.date = "2023-08-28"
  s.description = "Gandiva is a toolset for compiling and evaluating expressions on Arrow data.".freeze
  s.email = ["dev@arrow.apache.org".freeze]
  s.extensions = ["dependency-check/Rakefile".freeze]
  s.files = ["Gemfile".freeze, "LICENSE.txt".freeze, "NOTICE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "dependency-check/Rakefile".freeze, "lib/gandiva.rb".freeze, "lib/gandiva/arrow-schema.rb".freeze, "lib/gandiva/expression-builder.rb".freeze, "lib/gandiva/expression-builder/add.rb".freeze, "lib/gandiva/expression-builder/binary-operation.rb".freeze, "lib/gandiva/expression-builder/context.rb".freeze, "lib/gandiva/expression-builder/divide.rb".freeze, "lib/gandiva/expression-builder/elsif.rb".freeze, "lib/gandiva/expression-builder/equal.rb".freeze, "lib/gandiva/expression-builder/field.rb".freeze, "lib/gandiva/expression-builder/greater-than.rb".freeze, "lib/gandiva/expression-builder/if.rb".freeze, "lib/gandiva/expression-builder/less-than.rb".freeze, "lib/gandiva/expression-builder/literal.rb".freeze, "lib/gandiva/expression-builder/multiply.rb".freeze, "lib/gandiva/expression-builder/record.rb".freeze, "lib/gandiva/expression-builder/subtract.rb".freeze, "lib/gandiva/expression-builder/value.rb".freeze, "lib/gandiva/loader.rb".freeze, "lib/gandiva/version.rb".freeze, "red-gandiva.gemspec".freeze, "test/expression-builder/test-add.rb".freeze, "test/expression-builder/test-record.rb".freeze, "test/helper.rb".freeze, "test/run-test.rb".freeze, "test/test-boolean-literal-node.rb".freeze, "test/test-projector.rb".freeze]
  s.homepage = "https://arrow.apache.org/".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "3.4.20".freeze
  s.summary = "Red Gandiva is the Ruby bindings of Gandiva".freeze
  s.test_files = ["test/expression-builder/test-add.rb".freeze, "test/expression-builder/test-record.rb".freeze, "test/helper.rb".freeze, "test/run-test.rb".freeze, "test/test-boolean-literal-node.rb".freeze, "test/test-projector.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<red-arrow>.freeze, ["= 13.0.0"])
  s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
  s.add_development_dependency(%q<rake>.freeze, [">= 0"])
  s.add_development_dependency(%q<test-unit>.freeze, [">= 0"])
end

